Skip to main content
GET
/
public
/
v2
/
companies
cURL
curl --request GET \
  --url https://api.example.com/public/v2/companies
{
  "count": 123,
  "total_pages": 123,
  "current_page": 123,
  "page_size": 123,
  "results": [
    {
      "id": 123,
      "updated_time": "2023-11-07T05:31:56Z",
      "domain": "<string>",
      "previous_status": "<string>",
      "status_changed_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "company_status": "<string>",
      "company_custom_fields": [
        {
          "id": 123,
          "updated_time": "2023-11-07T05:31:56Z",
          "field_name": "<string>",
          "field_value": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.revyops.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

domain
string

Filter companies by domain

industry
string

Filter companies by industry

name
string

Filter companies by name

page
integer

Page number (1-based)

page_size
integer

Number of companies per page (max 100)

structure
enum<string>
default:NESTED

Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.

Available options:
FLAT,
NESTED

Response

Paginated list of companies

count
integer
required
total_pages
integer
required
current_page
integer
required
page_size
integer
required
results
object[]
required